[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.DropDB

Procedure to drop or remove a Database

## Declaration

Source position: sqldb.pp line 290

`public procedure TSQLConnection.DropDB; virtual;`

## Description

DropDB does the opposite of CreateDB. It removes the database from the server. The database must be connected before this command may be used. Whether or not this functionality is present depends on the type of the connection.

## Errors

If the connection type does not support creating a database, then an EDatabaseError exception is raised. Other exceptions may be raised if the operation fails, e.g. when the user does not have the necessary access rights.

## See also

TSQLConnection.CreateDB |  | Create a new Database on the server